/*****************************************************************/
/*                                                               */
/*   inp test sample ver 0.80                                    */
/*                                                               */
/*   written by sentaro21                                        */
/*                                                               */
/*****************************************************************/
/*****************************************************************/
/*                                                               */
/*   CASIO fx-9860G SDK Library                                  */
/*                                                               */
/*   File name : [ProjectName].c                                 */
/*                                                               */
/*   Copyright (c) 2006 CASIO COMPUTER CO., LTD.                 */
/*                                                               */
/*****************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <fxlib.h>
#include "inp.h"

//----------------------------------------------------------------------------------------------
double defaultnumD=0;

void InputTestD1(){
	int i,j;
	char buffer[32];
	unsigned int key=0;

	Bdisp_AllClr_DDVRAM();
	locate(1,1); Print((unsigned char*)"InpD21=");

	defaultnumD=InputNumD(1,2, 21, defaultnumD, ' ', REV_OFF, FLOAT_ON, EXP_ON);
	
	locate(1,3); Print((unsigned char*)"result=");
	locate(1,4); sprintG(buffer,defaultnumD,21, LEFT_ALIGN); Print((unsigned char*)buffer);

	GetKey(&key);
}

void InputTestD2(){
	int i,j;
	char buffer[32];
	unsigned int key=0;

	Bdisp_AllClr_DDVRAM();
	locate(1,1); Print((unsigned char*)"D18=");

	defaultnumD=InputNumD(1,2, 18, defaultnumD, ' ', REV_ON, FLOAT_ON, EXP_ON);
	
	locate(1,3); Print((unsigned char*)"result=");
	locate(1,4); sprintG(buffer,defaultnumD,18, LEFT_ALIGN); Print((unsigned char*)buffer);

	GetKey(&key);
}

void InputTestD3(){
	int i,j;
	char buffer[32];
	unsigned int key=0;

	Bdisp_AllClr_DDVRAM();
	locate(1,1); Print((unsigned char*)"D14=");

	defaultnumD=InputNumD(5,1, 14, defaultnumD, ' ', REV_ON, FLOAT_ON, EXP_OFF);
	
	locate(1,3); Print((unsigned char*)"num=");
	locate(5,3); sprintG(buffer,defaultnumD,14, RIGHT_ALIGN); Print((unsigned char*)buffer);

	GetKey(&key);
}

void InputTestD4(){
	int i,j;
	char buffer[32];
	unsigned int key=0;

	Bdisp_AllClr_DDVRAM();
	locate(1,1); Print((unsigned char*)"I15=");

	defaultnumD=InputNumD(5,1, 15, defaultnumD, ' ', REV_ON, FLOAT_OFF, EXP_ON);
	
	locate(1,3); Print((unsigned char*)"num=");
	locate(5,3); sprintG(buffer,defaultnumD,15, RIGHT_ALIGN); Print((unsigned char*)buffer);

	GetKey(&key);
}
//----------------------------------------------------------------------------------------------
char defaultStr[23]="ABC";

void InputTestS1(){
	int i,j;
	unsigned int key=0;

	Bdisp_AllClr_DDVRAM();
	locate( 1,1); Print((unsigned char*)"Str19=");
	locate( 1,2); Print((unsigned char*)"[");
	locate(21,2); Print((unsigned char*)"]");
	InputStr(2,2, 19, defaultStr, ' ', REV_OFF);
	locate( 1,4); Print((unsigned char*)"[");
	locate(21,4); Print((unsigned char*)"]");
	locate( 2,4); Print((unsigned char*)defaultStr);

	GetKey(&key);
}
void InputTestS2(){
	int i,j;
	char buffer[32];
	char buffer2[32];
	unsigned int key=0;

	Bdisp_AllClr_DDVRAM();
	locate(1,1); Print((unsigned char*)"Str12=");
	strcpy(buffer2,InputStr(1,2, 12, defaultStr, ' ', REV_ON));
	locate(1,4); sprintf(buffer,"%s",buffer2); Print((unsigned char*)buffer);
	strcpy(defaultStr,buffer2);

	GetKey(&key);
}

